Package com.independentsoft.office.word

# Class GlossaryDocumentEntry

java.lang.Object
com.independentsoft.office.word.GlossaryDocumentEntry

public class GlossaryDocumentEntry extends Object
The Class GlossaryDocumentEntry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlossaryDocumentEntry()`
  Instantiates a new glossary document entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GlossaryDocumentEntry`
  `clone()`
  `GlossaryDocumentEntryBody`
  `getBody()`
  Gets the body.
  `GlossaryDocumentEntryCategory`
  `getCategory()`
  Gets the category.
  `String`
  `getDescription()`
  Gets the description.
  `String`
  `getID()`
  Gets the id.
  `List<InsertionBehavior>`
  `getInsertionBehaviors()`
  Gets the insertion behaviors.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getStyle()`
  Gets the style.
  `GlossaryDocumentEntryTypes`
  `getTypes()`
  Gets the types.
  `void`
  `setBody​(GlossaryDocumentEntryBody body)`
  Sets the body.
  `void`
  `setCategory​(GlossaryDocumentEntryCategory category)`
  Sets the category.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setStyle​(String style)`
  Sets the style.
  `void`
  `setTypes​(GlossaryDocumentEntryTypes types)`
  Sets the types.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GlossaryDocumentEntry

    public GlossaryDocumentEntry()
    Instantiates a new glossary document entry.

- ## Method Details

  - ### clone

    public GlossaryDocumentEntry clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBody

    public GlossaryDocumentEntryBody getBody()
    Gets the body.
    Returns:
      the body

  - ### setBody

    public void setBody​(GlossaryDocumentEntryBody body)
    Sets the body.
    Parameters:
      `body` - the new body

  - ### getInsertionBehaviors

    public List<InsertionBehavior> getInsertionBehaviors()
    Gets the insertion behaviors.
    Returns:
      the insertion behaviors

  - ### getCategory

    public GlossaryDocumentEntryCategory getCategory()
    Gets the category.
    Returns:
      the category

  - ### setCategory

    public void setCategory​(GlossaryDocumentEntryCategory category)
    Sets the category.
    Parameters:
      `category` - the new category

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getStyle

    public String getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getTypes

    public GlossaryDocumentEntryTypes getTypes()
    Gets the types.
    Returns:
      the types

  - ### setTypes

    public void setTypes​(GlossaryDocumentEntryTypes types)
    Sets the types.
    Parameters:
      `types` - the new types